Skip to main content
POST
Transcribe audio

Body

multipart/form-data
file
file
required

The audio file to transcribe.

model
string | null

ID of the model to use.

language
string | null

The language of the input audio. Supplying the input language in ISO-639-1 format will improve accuracy and latency.

hotwords
string | null

Important words or phrases that the model should pay extra attention to during transcription.

prompt
string
default:""

An optional text to guide the model's style or continue a previous audio segment. Should match the audio language.

response_format
enum<string>
default:json

The format of the output: json, text, srt, verbose_json, or vtt.

Available options:
json,
text,
srt,
verbose_json,
vtt
timestamp_granularities[]
enum<string>[]

The timestamp granularities to populate. response_format must be verbose_json. Word timestamps incur additional latency.

Available options:
word,
segment
stream
boolean | null
default:false

When set, output is streamed in a similar fashion to the chat completion endpoint.

to_language
string | null

The language of the output audio. Not currently used by supported models; a placeholder matching the translation API.

stream_include_usage
boolean | null
default:false
stream_continuous_usage_stats
boolean | null
default:false
vllm_xargs
Vllm Xargs · object | null

Additional request parameters with (list of) string or numeric values, used by custom extensions.

Whether beam search should be used.

n
integer
default:1

The number of beams for beam search.

length_penalty
number
default:1

Length penalty for beam search.

include_stop_str_in_output
boolean
default:false

Whether to include stop strings in output text.

temperature
number
default:0

The sampling temperature, between 0 and 1. If set to 0, the model will automatically increase the temperature until certain thresholds are hit.

top_p
number | null

Enables nucleus (top-p) sampling.

top_k
integer | null

Limits sampling to the k most probable tokens at each step.

min_p
number | null

Filters out tokens with probability lower than min_p.

seed
integer | null

Sampling seed.

Required range: -9223372036854776000 <= x <= 9223372036854776000
frequency_penalty
number | null
default:0
repetition_penalty
number | null
presence_penalty
number | null
default:0
max_completion_tokens
integer | null

The maximum number of tokens to generate.

Response

Successful response.

text
string
required

The transcribed text.

usage
TranscriptionUsageAudio · object
required
Last modified on July 31, 2026